libnvme(9)

NAME
enum nvme_dst_stc - Action taken by the Device Self-test command

SYNOPSIS
enum nvme_dst_stc {
NVME_DST_STC_SHORT ,
NVME_DST_STC_LONG ,
NVME_DST_STC_HOST_INIT ,
NVME_DST_STC_VS ,
NVME_DST_STC_ABORT };

Constants

NVME_DST_STC_SHORT
    Start a short device self-test operation

NVME_DST_STC_LONG
    Start an extended device self-test operation

NVME_DST_STC_HOST_INIT
    Start a Host-Initiated Refresh operation

NVME_DST_STC_VS
    Start a vendor specific device self-test operation

NVME_DST_STC_ABORT
    Abort device self-test operation